Skip to main content
GET
List Payins

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Payins:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Query Parameters

limit
integer

Maximum number of items to return.

Required range: 1 <= x <= 50
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1
walletId
string

Filter payins by wallet ID.

Required string length: 1 - 64
status
enum<string>[]

Filter payins by status (comma-separated).

The current status of the payin.

Available options:
Processing,
Completed,
Failed
provider
enum<string>[]

Filter payins by provider (comma-separated).

Payin provider.

Available options:
CircleMint

Response

200 - application/json

Success

items
Circle Mint Payin · object[]
required

Current page items.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on July 22, 2026